Bug 147631 - Allow yum to exclude repos by arch
Allow yum to exclude repos by arch
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-09 17:38 EST by Ignacio Vazquez-Abrams
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-10 02:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-02-09 17:38:11 EST
Some third-party repos (e.g., livna) don't have repos for all available
"official" archs (i386 and x86_64 for the moment) yet are included in
commonly-available yum config changes/addons. It would be convenient to have an
"excludearch" or "exclusivearch" tag that could be used in these configs to
indicate that certain repos can only be used for certain archs.
Comment 1 Seth Vidal 2005-02-10 02:11:41 EST
yum only uses archs that are compatible with the platforms its running on - so
if you have a repo with exclusively ppc packages and you're an p4 - it won't use
any of them.

What's the problem that this feature would preclude?
Comment 2 Ignacio Vazquez-Abrams 2005-02-10 02:39:31 EST
While yum won't allow you to install a ppc package on an i386 platform, if the
repo path contains $basearch it will still attempt to descend into the i386 dir,
even if only a ppc dir exists. It will then of course fail to find the repodata,
and abort the entire operation outright.

While it could be said that your yum config shouldn't contain repos that don't
support your arch, it would also be convenient for .repo distrobution purposes
to have some way to desensitive yum to this sort of problem.
Comment 3 Seth Vidal 2005-02-10 02:41:39 EST
if your repo is arch specific then just distribute your .repo file in an
arch-specific rpm.

I think adding arch exclusivity in the yum.conf is overkill.

Note You need to log in before you can comment on or make changes to this bug.